Subject: Re: bug#42804: mkdir saying it can't create folder although it created it

From: Paul Eggert <[email-masked]>
Date: Mon, 10 Aug 2020 12:42:06 -0700

On 8/10/20 11:48 AM, Nick Levinson via GNU coreutils Bug Reports wrote:
> When I use mkdir, when it succeeds sometimes it has no message, which is acceptable, but sometimes it says this:
> 
> mkdir: cannot create directory '<folder-name>': File exists
> But the directory didn't exist before I used mkdir to make it, and I show hidden files, thus also hidden directories.

Unfortunately I do not understand this bug report. I don't get the connection 
between the diagnostic and hidden directories.

Can you give an example transcript of the bug and explain it a bit more? Thanks.